package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pdd.entity.LogsMailScanEntity;
import org.ta.pdd.entity.OutboundRecordEntity;
import org.ta.pddserver.mapper.OutboundRecordMapper;
import org.ta.pddserver.model.api.request.LogsMailScanListVORequest;
import org.ta.pddserver.model.api.request.OutboundRecordRequest;
import org.ta.pddserver.service.OutboundRecordService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Service
public class OutboundRecordImpl extends ServiceImpl<OutboundRecordMapper, OutboundRecordEntity> implements OutboundRecordService {


    public OutboundRecordEntity getByMailNo(String mailNo) {
        return this.baseMapper.findByMailNo(mailNo);
    }

    public Map<String, Object> outboundRecordList(OutboundRecordRequest param) {
        List<OutboundRecordEntity> list = baseMapper.outboundRecordList(param);
        Map<String, Object> map = new HashMap<>();
        map.put("list", list);
        return map;
    }
}